ipxe_1.0.0+git-20141004.86285d1-1_all.deb


Advertisement

Description

ipxe - PXE boot firmware

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: ipxe
Package version: 1.0.0+git
Package release: 20141004.86285d1-1
Package architecture: all
Package type: deb
Installed size: 1.51 KB
Download size: 861.24 KB
Official Mirror: ftp.br.debian.org
iPXE is network boot firmware. It supports a variety of network cards, including some wireless cards, and variety of network protocols (traditional DHCP, BOOTP and TFTP and also HTTP, iSCSI, SAN via FCoE and Infiniband). It supports scripting. It is possible to use iPXE as a PXE ROM in the network card or to chainload it from other boot methods. This package provides boot code for all supported network cards in one binary and several bootable formats.

Alternatives

    Download

    Source package: ipxe

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install ipxe deb package:
      # sudo apt-get install ipxe

    Files

    • /boot/ipxe.efi
    • /boot/ipxe.lkrn
    • /etc/grub.d/20_ipxe
    • /usr/lib/ipxe/ipxe.efi
    • /usr/lib/ipxe/ipxe.iso
    • /usr/lib/ipxe/ipxe.lkrn
    • /usr/lib/ipxe/ipxe.pxe
    • /usr/lib/ipxe/undionly.kkpxe
    • /usr/lib/ipxe/undionly.kpxe
    • /usr/share/doc/ipxe/changelog.Debian.gz
    • /usr/share/doc/ipxe/copyright

    Changelog

    2014-10-19 - Bastian Blank <waldi@debian.org> ipxe (1.0.0+git-20141004.86285d1-1) unstable; urgency=medium * New snapshot.

    2014-09-10 - Juli?n Moreno Pati?o <julian@debian.org> ipxe (1.0.0+git-20131111.c3d1e78-2.1) unstable; urgency=medium * Non-maintainer upload. * Add missing export in d/rules. * Change syslinux to syslinux-common in B-D. (Closes: #750349)

    2013-12-22 - Bastian Blank <waldi@debian.org> ipxe (1.0.0+git-20131111.c3d1e78-2) unstable; urgency=medium * Don't use libiberty. (closes: #730910)

    2013-11-21 - Bastian Blank <waldi@debian.org> ipxe (1.0.0+git-20131111.c3d1e78-1) unstable; urgency=low * New snapshot. * Add undionly.kkpxe. (closes: #671340) * Ignore result of update-grub invocation. (closes: #660459) * Mark packages as multi-arch foreign. (closes: #728476) * Use debhelper 9. * Remove old breaks relations. * Add 64-bit EFI images: - Build-depend on binutils-dev, zlib1g-dev. - Add combined EFI/legacy images for qemu. - Properly clean build dir. * Install images in ipxe-qemu to match names used by qemu: - Add compatility symlink for e1000_82540. - Use dh-exec to allow renames in dh_install.

    2012-02-07 - Bastian Blank <waldi@debian.org> ipxe (1.0.0+git-20120202.f6840ba-3) unstable; urgency=low * Fix to break qemu-system instead of qemu. (closes: #658982) * Make ipxe-qemu break and replace ipxe. (closes: #658684) * Add link for ipxe.lkrn, so all images can be found in one location.

    2012-02-03 - Bastian Blank <waldi@debian.org> ipxe (1.0.0+git-20120202.f6840ba-2) unstable; urgency=low * Fix grub setup and restrict entry by default. (closes: #658465) * Install only combined images into ipxe package. * Install rom images needed for qemu into ipxe-qemu package. - Add breaks against qemu and qemu-kvm. * Disable rom banner timeout. (closes: #638574)

    2012-02-02 - Bastian Blank <waldi@debian.org> ipxe (1.0.0+git-20120202.f6840ba-1) unstable; urgency=low * New snapshot. * Disable ath9k roms. * Fix tg3 build. * Create grub entry. (closes: #626238) * Override version string with package version.

    2011-07-31 - Bastian Blank <waldi@debian.org> ipxe (1.0.0+git-2.149b50-1) unstable; urgency=low * New snapshot.

    2011-04-11 - Bastian Blank <waldi@debian.org> ipxe (1.0.0+git-1.293e34-2) unstable; urgency=low * Add some missing copyrights and licenses to the copyright files.

    2011-04-03 - Bastian Blank <waldi@debian.org> ipxe (1.0.0+git-1.293e34-1) unstable; urgency=low * Initial release (closes: #474034) * Remove drivers with binary-only firmware: - Remove bnx2 driver. - Remove linda infiniband driver.

    Advertisement
    Advertisement